// Vue插件暴露的一定是对象
let myPlugins = {}

// install是固定写法
// Vue指向的是Vue实例.options是引入该自定义插件的数据(对象格式)
myPlugins.install = function (Vue, options) {
	// Vue.prototype.$bus:任何组件都能够使用
	// Vue.directive
	// Vue.component
	// Vue.filter....
	// 自定义指令 
	// options.name是main.js注册时引入的值
	// el是使用当前自定义指令的标签,binding是当前标签的内容,修饰符
	Vue.directive(options.name, (el, binding) => {
		el.innerHTML = binding.value.toUpperCase()
	})
}
export default myPlugins